- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ObjectiveSolution Class Reference

The ObjectiveSolution Class. More...

`#include <OSResult.h>`

Collaboration diagram for ObjectiveSolution:

[legend]
List of all members.

## Public Member Functions
| ObjectiveSolution ()
| Default constructor.
| ~ObjectiveSolution ()
| Class destructor.
bool | IsEqual (ObjectiveSolution *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| ObjectiveSolution ()
| Default constructor.
| ~ObjectiveSolution ()
| Class destructor.
## Public Attributes
int | numberOfOtherObjectiveResults
| the number of types of objective function results other than the basic objective function values
ObjectiveValues * | values
| a pointer to an array of ObjectiveValues objects
BasisStatus * | basisStatus
| a pointer to a BasisStatus object
OtherObjectiveResult ** | other
| a pointer to an array of other pointer objects for objective functions
ObjectiveValues * | values
| a pointer to an array of ObjectiveValues objects
OtherObjectiveResult ** | other
| a pointer to an array of other pointer objects for objective functions

## Detailed Description

The ObjectiveSolution Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for reporting all of the types of solution values associated with objective functions.

Definition at line 1467 of file OSResult.h.

## Constructor & Destructor Documentation

ObjectiveSolution::ObjectiveSolution | ( |  | ) |

Default constructor.

Definition at line 673 of file OSResult.cpp.

ObjectiveSolution::~ObjectiveSolution | ( |  | ) |

Class destructor.

Definition at line 685 of file OSResult.cpp.

References basisStatus, numberOfOtherObjectiveResults, other, and values.

ObjectiveSolution::ObjectiveSolution | ( |  | ) |

Default constructor.

ObjectiveSolution::~ObjectiveSolution | ( |  | ) |

Class destructor.

## Member Function Documentation

bool ObjectiveSolution::IsEqual | ( | ObjectiveSolution * | that | ) |

A function to check for the equality of two objects.

Definition at line 6489 of file OSResult.cpp.

bool ObjectiveSolution::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7948 of file OSResult.cpp.

References OSRand(), other, and OtherObjectiveResult::setRandom().

## Member Data Documentation

int ObjectiveSolution::numberOfOtherObjectiveResults

the number of types of objective function results other than the basic objective function values

Definition at line 1473 of file OSResult.h.

Referenced by OSResult::getOtherObjectiveResultEnumerationDescription(), OSResult::getOtherObjectiveResultEnumerationEl(), OSResult::getOtherObjectiveResultEnumerationNumberOfEl(), OSResult::getOtherObjectiveResultEnumerationValue(), and ~ObjectiveSolution().

ObjectiveValues* ObjectiveSolution::values

a pointer to an array of ObjectiveValues objects

Definition at line 1476 of file OSResult.h.

Referenced by main(), OSResult::setObjectiveValues(), and ~ObjectiveSolution().

BasisStatus* ObjectiveSolution::basisStatus

a pointer to a BasisStatus object

Definition at line 1479 of file OSResult.h.

Referenced by OSResult::getBasisStatusEl(), OSResult::getBasisStatusNumberOfEl(), OSResult::setBasisStatus(), tempPrintArrays(), and ~ObjectiveSolution().

OtherObjectiveResult** ObjectiveSolution::other

a pointer to an array of other pointer objects for objective functions

Definition at line 1484 of file OSResult.h.

Referenced by OSResult::getOtherObjectiveResultEnumerationDescription(), OSResult::getOtherObjectiveResultEnumerationEl(), OSResult::getOtherObjectiveResultEnumerationNumberOfEl(), OSResult::getOtherObjectiveResultEnumerationValue(), OSResult::setOtherOptionEnumeration(), setRandom(), tempPrintArrays(), and ~ObjectiveSolution().

ObjectiveValues* ObjectiveSolution::values

a pointer to an array of ObjectiveValues objects

Definition at line 879 of file OSResult.h.

OtherObjectiveResult** ObjectiveSolution::other

a pointer to an array of other pointer objects for objective functions

Definition at line 884 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp